gstreamermm 1.10.0

Public Member Functions | List of all members
Gst::VideoFormatInfo Class Reference

Information for a video format. More...

`#include <gstreamermm/videoformat.h>`

## Public Member Functions
| VideoFormatInfo (const GstVideoFormatInfo* castitem)
virtual | ~VideoFormatInfo ()
const GstVideoFormatInfo* | gobj () const
VideoFormat | get_format () const
Glib::ustring | get_name () const
Glib::ustring | get_description () const
VideoFormatFlags | get_flags () const
guint | get_bits () const
guint | get_n_components () const
guint | get_n_planes () const
VideoFormat | get_unpack_format () const
gint | get_pack_lines () const

## Detailed Description

Information for a video format.

## Constructor & Destructor Documentation

## ◆ VideoFormatInfo()

Gst::VideoFormatInfo::VideoFormatInfo | ( | const GstVideoFormatInfo * | castitem | ) |
| explicit

## ◆ ~VideoFormatInfo()

virtual Gst::VideoFormatInfo::~VideoFormatInfo | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ get_bits()

guint Gst::VideoFormatInfo::get_bits | ( |  | ) | const

## ◆ get_description()

Glib::ustring Gst::VideoFormatInfo::get_description | ( |  | ) | const

## ◆ get_flags()

VideoFormatFlags Gst::VideoFormatInfo::get_flags | ( |  | ) | const

## ◆ get_format()

VideoFormat Gst::VideoFormatInfo::get_format | ( |  | ) | const

## ◆ get_n_components()

guint Gst::VideoFormatInfo::get_n_components | ( |  | ) | const

## ◆ get_n_planes()

guint Gst::VideoFormatInfo::get_n_planes | ( |  | ) | const

## ◆ get_name()

Glib::ustring Gst::VideoFormatInfo::get_name | ( |  | ) | const

## ◆ get_pack_lines()

gint Gst::VideoFormatInfo::get_pack_lines | ( |  | ) | const

## ◆ get_unpack_format()

VideoFormat Gst::VideoFormatInfo::get_unpack_format | ( |  | ) | const

## ◆ gobj()

const GstVideoFormatInfo* Gst::VideoFormatInfo::gobj | ( |  | ) | const
| inline